Bug 85588 - COLOR PICKER: More space between 'Custom Color' icon and label
Summary: COLOR PICKER: More space between 'Custom Color' icon and label
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha1
Hardware: Other All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Color-Picker-Widget
  Show dependency treegraph
 
Reported: 2014-10-29 07:41 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-03-04 16:25 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot LibO 5.0 alpha (20.93 KB, image/png)
2015-05-16 06:42 UTC, tommy27
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-10-29 07:41:53 UTC
With the recent addition of an icon to the custom color picker button, it would be good to have a few more pixels between the icon and label. 2 or 3 pixels would do.

How it looks - attachment 108607 [details]
Comment 1 V Stuart Foote 2014-10-29 12:03:54 UTC
Yes needed...
Comment 2 Adolfo Jayme 2014-10-29 12:41:13 UTC
I know... I had set the standard 6 pixels of padding, but for some reason that value is ignored.
Comment 3 tommy27 2015-05-16 06:42:26 UTC
Created attachment 115650 [details]
screenshot LibO 5.0 alpha


looks better in 5.0 (see screenshot)

tested under Win8x64 using  5.0.0.0.alpha1+
Build ID: 4048311aae6993357c2d0be1f1968a8c57dd4e85
TinderBox: Win-x86@42, Branch:master, Time: 2015-05-08_23:52:08
Locale: en-US (it_IT)

should we mark this as RESOLVED WORSFORME?
Comment 4 Yousuf Philips (jay) (retired) 2015-05-16 11:51:45 UTC
I dont see any difference in your screenshot tommy from mine.
Comment 5 tommy27 2015-05-16 16:35:00 UTC
we are talking about different parts of the screenshots.

you refer to the space between the icon and the text label, while I was talking about the space below the text label.

my fault, I misunderstood you bug report
Comment 6 QA Administrators 2016-09-20 09:42:04 UTC Comment hidden (obsolete)
Comment 7 Heiko Tietze 2017-02-18 10:18:45 UTC
Is this still relevant? I don't see any issue.
Comment 8 Yousuf Philips (jay) (retired) 2017-03-02 11:30:16 UTC
(In reply to Heiko Tietze from comment #7)
> Is this still relevant? I don't see any issue.

Yes still to close in my view.
Comment 9 QA Administrators 2018-03-03 03:48:14 UTC Comment hidden (obsolete)
Comment 10 tommy27 2018-03-03 06:46:14 UTC
retested in 6.1.0.0.alpha0+
Build ID: e0a94ded5d1635fa2a2d9e222bfcfa0a2289a01f
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-02-08_23:36:06
Locale: it-IT (it_IT); Calc: group

in my previous screenshot from 5.0 alpha there were 3 pixels between the right margin of the icon and the left margin of the "C" of "custom color" label.

now I count 4 pixels.

may we mark this as resolved WFM?
Comment 11 Yousuf Philips (jay) (retired) 2018-03-03 12:55:01 UTC
(In reply to tommy27 from comment #10)
> now I count 4 pixels.

Yes i see the 4 pixels now, likely due to the font rendering by harfbuzz, but it still needs a few more pixels in my view.

Maxim: Is this something doable in glade as i wasnt able to find anything?
Comment 12 QA Administrators 2019-03-04 03:53:34 UTC Comment hidden (obsolete)
Comment 13 V Stuart Foote 2019-03-04 16:25:39 UTC
On Windows builds of 6.2.1 and of current master/6.3.0alpha0+ counting a full 6px spacing between the icon and the label. 

Adolfo's padding per comment 2 seems to be asserting.